Package: org.gradle.plugins.ide.idea.model

## [Groovy] Class FilePath

- org.gradle.plugins.ide.idea.model.FilePath

- A Path that keeps the reference to the File

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `File` | `file` file

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FilePath (File file, String url, String canonicalUrl, String relPath)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Path` | `equals, hashCode, toString`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### final File file

      file

  - ### Constructor Detail

    - #### FilePath(File file, String url, String canonicalUrl, String relPath)